## Index

### Classes

- AnimationFrameService
- AnimationFrameServiceSingleton
- DocumentService
- ElementService
- EventService
- UtilsModule

### Interfaces

- ElementVisibilityEvent

### Type aliases

- EventHandler

### Variables

- _scrollbarWidth

### Functions

- ANIMATION_FRAME_SERVICE_SINGLETON_PROVIDER_FACTORY
- DOCUMENT_SERVICE_PROVIDER_FACTORY
- HcModeChecker
- clone
- closestAttr
- findNextElem
- findPrevElem
- findSiblingElem
- focusNextElem
- focusNextTree
- focusPrevElem
- getEventObservable
- getScrollableParents
- getScrollbarWidth
- hasScrollableParents
- isScrollableElement
- isVisibleInContainer
- matchesAttr
- merge
- scrollableParentsObservable

### Object literals

- ANIMATION_FRAME_SERVICE_SINGLETON_PROVIDER
- DOCUMENT_SERVICE_PROVIDER

## Type aliases

### EventHandler

EventHandler: function

- Defined in src/utils/types.ts:1

#### Type declaration

- - (event: Event): void

  - #### Parameters

    - ##### event: Event

    #### Returns void

## Variables

### Let _scrollbarWidth

_scrollbarWidth: number = -1

- Defined in src/utils/window-tools.ts:1

## Functions

### ANIMATION_FRAME_SERVICE_SINGLETON_PROVIDER_FACTORY

- ANIMATION_FRAME_SERVICE_SINGLETON_PROVIDER_FACTORY(parentService: AnimationFrameServiceSingleton, ngZone: NgZone): AnimationFrameServiceSingleton

- - Defined in src/utils/utils.module.ts:23

  #### Parameters

  - ##### parentService: AnimationFrameServiceSingleton

  - ##### ngZone: NgZone

  #### Returns AnimationFrameServiceSingleton

### DOCUMENT_SERVICE_PROVIDER_FACTORY

- DOCUMENT_SERVICE_PROVIDER_FACTORY(parentService: DocumentService): DocumentService

- - Defined in src/utils/utils.module.ts:11

  #### Parameters

  - ##### parentService: DocumentService

  #### Returns DocumentService

### HcModeChecker

- HcModeChecker(): void

- - Defined in src/utils/a11y.ts:19

  #### Returns void

### clone

- clone(obj: any): any

- - Defined in src/utils/utils.ts:1

  #### Parameters

  - ##### obj: any

  #### Returns any

### closestAttr

- closestAttr(s: any, t: any, element: any): any

- - Defined in src/utils/utils.ts:10

  #### Parameters

  - ##### s: any

  - ##### t: any

  - ##### element: any

  #### Returns any

### findNextElem

- findNextElem(target: any): any

- - Defined in src/utils/a11y.ts:10

  #### Parameters

  - ##### target: any

  #### Returns any

### findPrevElem

- findPrevElem(target: any): any

- - Defined in src/utils/a11y.ts:14

  #### Parameters

  - ##### target: any

  #### Returns any

### findSiblingElem

- findSiblingElem(target: any, direction: "nextElementSibling" | "previousElementSibling"): any

- - Defined in src/utils/a11y.ts:1

  #### Parameters

  - ##### target: any

  - ##### direction: "nextElementSibling" | "previousElementSibling"

  #### Returns any

### focusNextElem

- focusNextElem(elem: any, rootElem?: any): void

- - Defined in src/utils/a11y.ts:44

  #### Parameters

  - ##### elem: any

  - ##### Default value rootElem: any = null

  #### Returns void

### focusNextTree

- focusNextTree(elem: any, rootElem?: any): void

- - Defined in src/utils/a11y.ts:32

  #### Parameters

  - ##### elem: any

  - ##### Default value rootElem: any = null

  #### Returns void

### focusPrevElem

- focusPrevElem(elem: any, parentRef?: any): void

- - Defined in src/utils/a11y.ts:68

  #### Parameters

  - ##### elem: any

  - ##### Default value parentRef: any = null

  #### Returns void

### Const getEventObservable

- getEventObservable(targetElement: HTMLElement | Element, eventType: string): Observable<Event>

- - Defined in src/utils/event-observable.ts:3

  #### Parameters

  - ##### targetElement: HTMLElement | Element

  - ##### eventType: string

  #### Returns Observable<Event>

### Const getScrollableParents

- getScrollableParents(node: HTMLElement): HTMLElement[]

- - Defined in src/utils/scroll.ts:54

  #### Parameters

  - ##### node: HTMLElement

  #### Returns HTMLElement[]

### getScrollbarWidth

- getScrollbarWidth(): number

- - Defined in src/utils/window-tools.ts:3

  #### Returns number

### Const hasScrollableParents

- hasScrollableParents(node: HTMLElement): boolean

- - Defined in src/utils/scroll.ts:65

  #### Parameters

  - ##### node: HTMLElement

  #### Returns boolean

### Const isScrollableElement

- isScrollableElement(element: HTMLElement): boolean

- - Defined in src/utils/scroll.ts:10

  #### Parameters

  - ##### element: HTMLElement

  #### Returns boolean

### Const isVisibleInContainer

- isVisibleInContainer(element: HTMLElement, container: HTMLElement): boolean

- - Defined in src/utils/scroll.ts:27

  #### Parameters

  - ##### element: HTMLElement

  - ##### container: HTMLElement

  #### Returns boolean

### matchesAttr

- matchesAttr(el: any, attr: any, val: any): any

- - Defined in src/utils/utils.ts:5

  #### Parameters

  - ##### el: any

  - ##### attr: any

  - ##### val: any

  #### Returns any

### Const merge

- merge(target: any, objects: any[]): any

- - Defined in src/utils/object.ts:2

  #### Parameters

  - ##### target: any

  - ##### Rest objects: any[]

  #### Returns any

### Const scrollableParentsObservable

- scrollableParentsObservable(node: HTMLElement): Observable<Event>

- - Defined in src/utils/scroll.ts:80

  #### Parameters

  - ##### node: HTMLElement

  #### Returns Observable<Event>

## Object literals

### Const ANIMATION_FRAME_SERVICE_SINGLETON_PROVIDER

ANIMATION_FRAME_SERVICE_SINGLETON_PROVIDER: object

- Defined in src/utils/utils.module.ts:28

### deps

deps: (Optional[] | NgZone)[] = [[new Optional(), new SkipSelf(), AnimationFrameServiceSingleton], NgZone]

- Defined in src/utils/utils.module.ts:30

### provide

provide: AnimationFrameServiceSingleton = AnimationFrameServiceSingleton

- Defined in src/utils/utils.module.ts:29

### useFactory

useFactory: ANIMATION_FRAME_SERVICE_SINGLETON_PROVIDER_FACTORY = ANIMATION_FRAME_SERVICE_SINGLETON_PROVIDER_FACTORY

- Defined in src/utils/utils.module.ts:31

### Const DOCUMENT_SERVICE_PROVIDER

DOCUMENT_SERVICE_PROVIDER: object

- Defined in src/utils/utils.module.ts:16

### deps

deps: Optional[][] = [[new Optional(), new SkipSelf(), DocumentService]]

- Defined in src/utils/utils.module.ts:18

### provide

provide: DocumentService = DocumentService

- Defined in src/utils/utils.module.ts:17

### useFactory

useFactory: DOCUMENT_SERVICE_PROVIDER_FACTORY = DOCUMENT_SERVICE_PROVIDER_FACTORY

- Defined in src/utils/utils.module.ts:19

Generated using TypeDoc